Show / Hide Table of Contents

# Class Response

Http(s) response object

##### Inheritance

Object
RequestResponseBase
Response
ConnectResponse
GenericResponse
OkResponse
RedirectResponse

##### Inherited Members

RequestResponseBase.BodyInternal
RequestResponseBase.KeepBody
RequestResponseBase.HttpVersion
RequestResponseBase.Headers
RequestResponseBase.ContentLength
RequestResponseBase.ContentEncoding
RequestResponseBase.Encoding
RequestResponseBase.ContentType
RequestResponseBase.IsChunked
RequestResponseBase.Body
RequestResponseBase.BodyString
RequestResponseBase.IsBodyRead
RequestResponseBase.ToString()
Object.Equals(Object)
Object.Equals(Object, Object)
Object.GetHashCode()
Object.GetType()
Object.MemberwiseClone()
Object.ReferenceEquals(Object, Object)

###### Namespace: Titanium.Web.Proxy.Http

###### Assembly: Titanium.Web.Proxy.dll

##### Syntax

    [TypeConverter(typeof(ExpandableObjectConverter))]
    public class Response : RequestResponseBase

### Constructors

| Improve this Doc View Source

#### Response()

Constructor.

##### Declaration

    public Response()

| Improve this Doc View Source

#### Response(Byte[])

Constructor.

##### Declaration

    public Response(byte[] body)

##### Parameters

Type | Name | Description
--- | --- | ---
Byte[] | body |

### Properties

| Improve this Doc View Source

#### HasBody

Has response body?

##### Declaration

    public override bool HasBody { get; }

##### Property Value

Type | Description
--- | ---
Boolean |

##### Overrides

RequestResponseBase.HasBody
| Improve this Doc View Source

#### HeaderText

Gets the header text.

##### Declaration

    public override string HeaderText { get; }

##### Property Value

Type | Description
--- | ---
String |

##### Overrides

RequestResponseBase.HeaderText
| Improve this Doc View Source

#### KeepAlive

Keep the connection alive?

##### Declaration

    public bool KeepAlive { get; }

##### Property Value

Type | Description
--- | ---
Boolean |

| Improve this Doc View Source

#### StatusCode

Response Status Code.

##### Declaration

    public int StatusCode { get; set; }

##### Property Value

Type | Description
--- | ---
Int32 |

| Improve this Doc View Source

#### StatusDescription

Response Status description.

##### Declaration

    public string StatusDescription { get; set; }

##### Property Value

Type | Description
--- | ---
String |